﻿using System;
using System.Windows;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace post8262
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private SimpleMarkerOverlay markerOverlay;
        private byte[] savedStates;

        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            markerOverlay = new SimpleMarkerOverlay() { DragMode = MarkerDragMode.Drag };

            Random random = new Random();
            for (int i = 0; i < 20; i++)
            {
                double x = random.Next(-90, 90);
                double y = random.Next(-45, 45);

                Marker marker = new Marker(x, y);
                markerOverlay.Markers.Add(marker);
            }

            map.Overlays.Add(new WorldMapKitWmsWpfOverlay());
            map.Overlays.Add(markerOverlay);

            map.CurrentExtent = markerOverlay.GetBoundingBox();
            map.Refresh();
        }

        private void save_Click(object sender, RoutedEventArgs e)
        {
            savedStates = markerOverlay.SaveState();
        }

        private void load_Click(object sender, RoutedEventArgs e)
        {
            if (savedStates != null)
            {
                markerOverlay.LoadState(savedStates);
                markerOverlay.Refresh();
            }
        }
    }
}
